commit:     a9075b53a9bb36659878fbab65721fc4209497c5
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  6 15:39:03 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Feb  6 15:39:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9075b53

dev-ml/js_of_ocaml: add ppx-deriving useflag

Package-Manager: portage-2.2.27
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild | 4 +++-
 dev-ml/js_of_ocaml/metadata.xml           | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild 
b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
index 1f8b9b0..8967f79 100644
--- a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
@@ -13,7 +13,7 @@ 
SRC_URI="https://github.com/ocsigen/js_of_ocaml/archive/${PV}.tar.gz -> ${P}.tar
 LICENSE="LGPL-2.1-with-linking-exception"
 SLOT="0/${PV}"
 KEYWORDS="~amd64"
-IUSE="+ocamlopt doc +deriving +ppx +react +xml X"
+IUSE="+ocamlopt doc +deriving +ppx +ppx-deriving +react +xml X"
 
 DEPEND="
        >=dev-lang/ocaml-3.12:=[ocamlopt?,X?]
@@ -21,6 +21,7 @@ DEPEND="
        react? ( dev-ml/react:=  dev-ml/reactiveData:= )
        xml? ( >=dev-ml/tyxml-3.6:= )
        ppx? ( dev-ml/ppx_tools:= )
+       ppx-deriving? ( dev-ml/ppx_deriving:= )
        dev-ml/cmdliner:=
        dev-ml/menhir:=
        dev-ml/ocaml-base64:=
@@ -37,6 +38,7 @@ src_configure() {
        use X || echo "WITH_GRAPHICS := NO" >> Makefile.conf
        use react || echo "WITH_REACT := NO" >> Makefile.conf
        use ppx || echo "WITH_PPX := NO" >> Makefile.conf
+       use ppx-deriving || echo "WITH_PPX_PPX_DERIVING := NO" >> Makefile.conf
 }
 
 src_compile() {

diff --git a/dev-ml/js_of_ocaml/metadata.xml b/dev-ml/js_of_ocaml/metadata.xml
index 904a7a4..0b34c19 100644
--- a/dev-ml/js_of_ocaml/metadata.xml
+++ b/dev-ml/js_of_ocaml/metadata.xml
@@ -8,6 +8,7 @@
   <use>
     <flag name="deriving">Enable <pkg>dev-ml/deriving</pkg> support for 
improving the type safety.</flag>
        <flag name="ppx">Enables the ppx syntax extension</flag>
+       <flag name="ppx-deriving">Enables deriving support through ppx syntax 
extensions.</flag>
        <flag name="react">Enable functionnal reactive programming 
support.</flag>
   </use>
   <upstream>

Reply via email to